> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-11/v11-3-0.md).

# Version 11.3.0 Changelog (February 19, 2025)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 11.3.0.85075

Release Date: February 19, 2025

## Notes

This release of Apryse for Android brings the core PDF functionality inline with version 11.3.0 of the Apryse cross-platform APIs. Most non-module related changes apply to Android.

## New Features

* Added APIs to define the annotation bounding box for read only mode in DrawingUtils class
* Added stylus support for free highlighter

## Fixes

* Fixed issue where keyboard does not appear when creating FreeText annotation

## APIs

### PDFViewCtrlTools package

BookmarksDialogFragment \*new\* static final field: \`String TAG\`

AnnotEdit \*new\* static method: \`Rect getAnnotScreenBBox(PDFViewCtrl, Annot, int)\` \*new\* static method: \`RectF getScreenRect(PDFViewCtrl, Rect)\`

DrawingUtils \*new\* static field: \`int READONLY\_SELECTION\_BOX\_STYLE\_DASHED\` \*new\* static field: \`int READONLY\_SELECTION\_BOX\_STYLE\_SOLID\` \*new\* static field: \`int sReadOnlySelectionBoxColor\` \*new\* static field: \`float sReadOnlySelectionBoxPadding\` \*new\* static field: \`int sReadOnlySelectionBoxStyle\` \*new\* static field: \`float sReadOnlySelectionBoxThickness\`

InlineEditText \*new\* method: \`void requestFocus()\`

ViewerUtils \*new\* static method: \`Uri openGalleryIntent(Fragment, boolean)\` \*new\* static method: \`Uri openGalleryIntent(Fragment, int)\`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/android/changelogs/version-11/v11-3-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
